summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2016-03-23 15:20:11 +0100
committerLars Wendler <polynomial-c@gentoo.org>2016-03-23 15:46:59 +0100
commit076917c27fbaed3d6f91b0777e3a7fdd2befbd05 (patch)
tree362009dccd295b86fe3ac63c70b6f9eeb7432ae8
parentdev-ml/stringext: bump to 1.4.1 (diff)
downloadgentoo-076917c27fbaed3d6f91b0777e3a7fdd2befbd05.tar.gz
gentoo-076917c27fbaed3d6f91b0777e3a7fdd2befbd05.tar.bz2
gentoo-076917c27fbaed3d6f91b0777e3a7fdd2befbd05.zip
media-sound/kid3: Bump to version 3.3.2
Package-Manager: portage-2.2.28 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--media-sound/kid3/Manifest1
-rw-r--r--media-sound/kid3/kid3-3.3.2.ebuild73
2 files changed, 74 insertions, 0 deletions
diff --git a/media-sound/kid3/Manifest b/media-sound/kid3/Manifest
index 50581d13761..751aca6a8f0 100644
--- a/media-sound/kid3/Manifest
+++ b/media-sound/kid3/Manifest
@@ -1,3 +1,4 @@
DIST kid3-3.1.2.tar.gz 1109060 SHA256 085097a653877ef56dd719083da1ab005944826ce215141fe3f6d4285e5f6246 SHA512 5f6912bd4e7e2e8e641e001fcb487489e7ea0861a3d6cda02388a3774ef010d6db1803d701e2befc824d86f347d6a29b05750d5d7a186cd7cf877f2848205677 WHIRLPOOL 01dd5e1ae09893058250cf85c24a61ea64cd76a5baa124b32d1f7b13a7f67cc4c11ca1ecfc6eb98a6036ea31be59baa2fa09bb4aecca831d8c1432a9f3018023
DIST kid3-3.2.1.tar.gz 1215072 SHA256 da686929b5329f910b96b4fd1a10d490ffac4a604be22a795405460871afe494 SHA512 1ef6f432ac9f6e1c9ae1a400f8f8a34f8cabab76e0c501dca5cd56df5e675dc15109f978dc0f1f86ebd873d96194a7f39945f84d1c84385ee523da3680438180 WHIRLPOOL 98dc4e7ce84c14a71bc4b0499d4cb1be385dca1fdd2ef39674cea242b733767cb6b74e3bb69d28b4e6406400c556c4d75cfb4006569cadc3c033719b60acd7a0
DIST kid3-3.3.1.tar.gz 1339124 SHA256 8acf344d3f6651bccc7994d9e3c9602777892c744828fd2e455d617293c8e74d SHA512 fb112f01018bf744dc802c640ef134f539ee603145249ed0db2c3cc2f7ad3ebc96b3c9e9bd3fac3ee85e081f5e567790d68cecd661a7ac340732c03bf3fbfd85 WHIRLPOOL 0d76e181798dbc8432490af40dcd5c48d8e2db0d67da30e2c3227dce639391e2922b76dde1ab27e75cb85301507e713df9efab31550968fd680b2ef7c5edfd72
+DIST kid3-3.3.2.tar.gz 1340078 SHA256 d54c164e38ee8ff2c35473a7158e2748cbb6a9472822a96decf6e34a15458957 SHA512 8bd1e003ba1d4f169cf7da8c151040f5e7b993c03ae9d8dfdd3bd8d1dc88fbf4b3fef37c0d3d339da83333b4a60e3ef9362e962e37ae7747c6bd010f4565d025 WHIRLPOOL 07632afee63eab29374bae2207b97713ba808f90b080dc5be12a4a25c3db9e9252c893b4fd1932f10240bb171a029738275a799e06b26c3135661689eaf59a97
diff --git a/media-sound/kid3/kid3-3.3.2.ebuild b/media-sound/kid3/kid3-3.3.2.ebuild
new file mode 100644
index 00000000000..72088708640
--- /dev/null
+++ b/media-sound/kid3/kid3-3.3.2.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KDE_LINGUAS="cs de es et fi fr it nl pl ru sr sr@ijekavian sr@ijekavianlatin
+sr@Latn tr zh_CN zh_TW"
+KDE_REQUIRED="optional"
+KDE_HANDBOOK="optional"
+inherit kde4-base
+
+DESCRIPTION="A simple tag editor for KDE"
+HOMEPAGE="http://kid3.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="4"
+KEYWORDS="~amd64 ~x86"
+IUSE="acoustid flac kde mp3 mp4 +phonon +taglib vorbis"
+
+REQUIRED_USE="flac? ( vorbis )"
+
+RDEPEND="
+ dev-qt/qtcore:4
+ dev-qt/qtdbus:4
+ dev-qt/qtdeclarative:4
+ dev-qt/qtgui:4
+ sys-libs/readline:0
+ acoustid? (
+ media-libs/chromaprint
+ virtual/ffmpeg
+ )
+ flac? (
+ media-libs/flac[cxx]
+ media-libs/libvorbis
+ )
+ mp3? ( media-libs/id3lib )
+ mp4? ( media-libs/libmp4v2:0 )
+ phonon? ( || (
+ media-libs/phonon[qt4]
+ dev-qt/qtphonon:4
+ ) )
+ taglib? ( >=media-libs/taglib-1.9.1 )
+ vorbis? (
+ media-libs/libogg
+ media-libs/libvorbis
+ )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}-3.2.1-libdir.patch" )
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_with acoustid CHROMAPRINT)
+ $(cmake-utils_use_with flac)
+ $(cmake-utils_use_with mp3 ID3LIB)
+ $(cmake-utils_use_with mp4 MP4V2)
+ $(cmake-utils_use_with phonon)
+ $(cmake-utils_use_with taglib)
+ $(cmake-utils_use_with vorbis)
+ "-DWITH_QT5=OFF"
+ )
+
+ if use kde; then
+ mycmakeargs+=("-DWITH_APPS=KDE;CLI")
+ else
+ mycmakeargs+=("-DWITH_APPS=Qt;CLI")
+ fi
+
+ kde4-base_src_configure
+}